import es, wcs, gamethread, random, popuplib, playerlib
from wcs import wcs

name = 'Little Panda'
race = wcs.Race(name)
race.registerSkill('Speed',4,1,'You become faster.')
race.registerSkill('Gravity',4,1,'You become lighter.')
race.registerSkill('Weapon',1,1,'You spawn with an M4A1.')
race.registerSkill('Damage',10,1,'You do more damage.')

def player_spawn(ev):
	userid = int(ev['userid'])
	speed = wcs.GetLevel(userid, name, 'Speed')
	gravity = wcs.GetLevel(userid, name, 'Gravity')
	weapon = wcs.GetLevel(userid, name, 'Weapon')
	player = wcs.Command(userid)
	if wcs.GetRace(userid) == 'Little Panda':   
		if speed:
			player.Speed(1+(speed*.05))
			es.tell(userid,'#multi','#greenSpeed #default- #lightgreenActivated.')
		if gravity:
			player.SetGravity(1-(gravity*.05))
			es.tell(userid,'#multi','#greenGravity #default- #lightgreenActivated.')
		if weapon:
			es.server.queuecmd('est_Give %s weapon_m4a1'%userid)
			es.tell(userid,'#multi','#greenWeapon #default- #lightgreenActivated.')
def prep_hurt(ev):
	userid = int(ev['userid'])
	attacker = int(ev['attacker'])
	damage = wcs.GetLevel(attacker, name, 'Damage')    
	dmg = int(ev['dmg_health'])
	if attacker:	
		if damage:
			if random.randint(1,100) <= 30:
				wcs.Command(userid).Damage(2*(dmg*damage),32,attacker)
				es.tell(attacker, '#multi', '#lightgreenDamage #default- #greenYou have dealt %s extra damage.'%(2*(dmg*damage)))
				wcs.Effect().Beam2(attacker, userid, 1.5, 0, 200, 150)

